<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/background_shape_white_radius_6">

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="24dp"
            android:layout_marginRight="24dp"
            android:drawablePadding="4dp"
            android:text="添加选项"
            android:textAlignment="center"
            android:textColor="@color/text_primary"
            android:textSize="@dimen/secondary_title_text_size"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <EditText
            android:id="@+id/contentEt"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="24dp"
            android:background="@drawable/bg_shape_f5_radius_4"
            android:hint="请输入选项名称"
            android:lines="1"
            android:padding="12dp"
            android:textColor="@color/text_primary"
            android:textColorHint="@color/text_instance"
            android:textSize="@dimen/primary_text_size"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/titleTv" />

        <View
            android:id="@+id/lineView"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="23dp"
            android:background="@color/ui_divider"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/contentEt"
            app:layout_goneMarginTop="23dp" />

        <TextView
            android:id="@+id/cancelTv"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:gravity="center"
            android:text="@string/cancel"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/confirmTv"
            app:layout_constraintTop_toBottomOf="@id/lineView" />

        <View
            android:id="@+id/centerDivider"
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="@color/ui_divider"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="@id/confirmTv"
            app:layout_constraintTop_toBottomOf="@id/lineView" />

        <TextView
            android:id="@+id/confirmTv"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:alpha="0.4"
            android:enabled="false"
            android:gravity="center"
            android:text="@string/menu_text_save"
            android:textColor="@color/text_theme"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@id/cancelTv"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/lineView" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>